arrangers: []
catalog: N/A
categories:
- Game
category: Game
classification: Original Soundtrack
composers:
- link: artist/24864
  names:
    en: Aakaash Rao
- link: artist/25106
  names:
    en: Selcuk Bor
covers: []
discs:
- disc_length: '21:41'
  name: Disc 1
  tracks:
  - names:
      English: Dino Beatdown Theme Song
    track_length: '1:56'
  - names:
      English: Dune Seeker
    track_length: '1:59'
  - names:
      English: Victory Road
    track_length: '1:50'
  - names:
      English: Into the Dark
    track_length: '2:11'
  - names:
      English: Heart of Eden
    track_length: '2:30'
  - names:
      English: The Meeting
    track_length: '3:06'
  - names:
      English: The Elements
    track_length: '1:57'
  - names:
      English: Ascension
    track_length: '2:04'
  - names:
      English: Beware of the Ancients
    track_length: '1:48'
  - names:
      English: Freedom
    track_length: '2:20'
link: album/33043
lyricists: []
media_format: Digital
meta:
  added_date: 2012-05-13T10:43
  edited_date: 2012-05-13T10:47
  fetched_date: 2025-11-20T09:41
  ttl: 86400
  visitors: 1908
name: 'Orion: Dino Beatdown Official Soundtrack'
names:
  en: 'Orion: Dino Beatdown Official Soundtrack'
  ja: 'Orion: Dino Beatdown Official Soundtrack'
  ja-latn: 'Orion: Dino Beatdown Official Soundtrack'
notes: 'Music by:

  Aakaash Rao (01, 02, 05, 07, 08, 10)

  Selcuk Bor (03, 04, 06, 09)'
organizations:
- &id001
  names:
    en: Spiral Game Studios
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/34/33043/33043-1336934776.jpg
picture_small: https://medium-media.vgm.io/albums/34/33043/33043-1336934776.jpg
picture_thumb: https://thumb-media.vgm.io/albums/34/33043/33043-1336934776.jpg
platforms:
- Microsoft Xbox 360
- PC
- Sony PlayStation 3
products:
- names:
    en: 'Orion: Dino Beatdown'
publish_format: Commercial
publisher: *id001
related: []
release_date: '2012-05-04'
release_events: []
release_price:
  currency: USD
  price: 4.99
reprints: []
stores:
- link: http://www.amazon.com/dp/B0080ORSFS/
  name: amazon.com
- link: http://spiralgamestudios.bandcamp.com/album/orion-dino-beatdown-ost
  name: Bandcamp
- link: http://itunes.apple.com/album/orion-dino-beatdown-official/id524986272
  name: iTunes
vgmdb_link: https://vgmdb.net/album/33043?perpage=99999
votes: 0
